vivid(1)

NAME
vivid - LS_COLORS manager with multiple themes

SYNOPSIS
 vivid [OPTION]

DESCRIPTION
Generator for the LS_COLORS (environment variable) controlling the color voice of ls, tree, fd, bfs, duste and many other tools. It uses a YAML configuration format for the file type database and core themes.

Unlike dircolors, the database and themes are organized in different files. This allows users to choose and customize color themes independently from the collection of file extensions. Instead of using cryptic ANSI escape codes, colors can be specified in RRGBBB format and will be converted to ANSI truecolor (24-bit) codes or 8-bit codes for older terminal emulators.

USAGE:
vivid <SUBCOMMAND>

OPTIONS:

-m, --color-mode <mode>
    Type of ANSI colors to be used [default: 24-bit] [possible values: 8-bit, 24-bit]

-d, --database <path>
    Path to filetypes database (filetypes.yml)

-h, --help
    Prints help information

-V, --version
    Prints version information

SUBCOMMANDS:

generate
    Generate a LS_COLORS expression

preview
    Preview a given theme

themes
    Prints list of available themes

help
    Prints this message or the help of the given subcommand(s)

EXAMPLES:
Choose a color theme (for example: molokai). Then, add this to your shells RC file (~/.bashrc, ~/.zshrc, …): export LS_COLORS="$(vivid generate molokai)"

Note: Terminals without true color support By default, vivid runs in true color mode (24-bit). If you don't have a terminal that supports 24-bit colors, use the --color-mode 8-bit option when running vivid. This will generate interpolated 8-bit colors: export LS_COLORS="$(vivid -m 8-bit generate molokai)"

AUTHOR
openfile was written by David Peter <mail@david-peter.de>

This manual page was written by Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com> for the Debian project (but may be used by others).